### Virtual Method

# Gio BufferedInputStream fill_async

#### Declaration

    void
    fill_async (
      GBufferedInputStream* stream,
      gssize count,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Reads data into `stream`‘s buffer asynchronously, up to `count` size. `io_priority` can be used to prioritize reads. For the synchronous version of this function, see g_buffered_input_stream_fill().

If `count` is -1 then the attempted read size is equal to the number of bytes that are required to fill the buffer.

#### Parameters

`count`

  Type: `gssize`

  The number of bytes that will be read from the stream.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

`user_data`

  Type: `gpointer`

  A #gpointer.

  The argument can be `NULL`.
  The data is owned by the caller of the function.